[JPackage-discuss] Re: errors installing java 1.5.0_01 [SOLVED]

brett fulkerson brett at unc.edu
Sat Jan 29 16:36:14 CET 2005


> Boy do I ever feel silly.  Several hours after messing with this, it
> finally occurred to me that the  dependency problem was that the SDK

As of this moment, the parent of this posting has not been posted, and this
posting really doesn't make much without it.  For the benefit of other jpackage
newbies who may experience similar problems, I'll post it here:

Getting errors on installing java SDK 1.5.0_01:

ERROR MSG:
==========
[brett ~]$ sudo rpm -Uvh
~/rpm/RPMS/i586/java-1.5.0-sun-devel-1.5.0.01-1jpp.i586.rpm
error: Failed dependencies:
        java-1.5.0-sun = 0:1.5.0.01-1jpp is needed by 
java-1.5.0-sun-devel-1.5.0.01-1jpp.i586

STEPS TAKEN:
============
I built rpm directory structure as instructed, edited ~/.rpmmacros, 
installed jpackage-utils, rpm-build, 
java-1.5.0-sun-1.5.0.01-1jpp.nosrc.rpm, and finally java-1.5.  Details:

(1) Installed nosrc.rpm, got:
[brett ~]$ sudo rpm -ivh
http://mirrors.sunsite.dk/jpackage/1.6/generic/non-free/
SRPMS/java-1.5.0-sun-1.5.0.01-1jpp.nosrc.rpm
   1:java-1.5.0-sun         warning: user david does not exist - using root
warning: group nanaruser does not exist - using root
warning: user david does not exist - using root5%)
warning: group nanaruser does not exist - using root
warning: user david does not exist - using root0%)
warning: group nanaruser does not exist - using root
########################################### [100%]

(2) In spite of warnings, seemed to me to build fine.  Moved downloaded
SDK (jdk-1_5_0_01-linux.i586.bin) to ~/rpm/SOURCES/java-1.5.0-sun/

(3) Built the rpm, without noticing any errors:
[brett ~]$ sudo rpmbuild -ba ~/rpm/SPECS/java-1.5.0-sun.spec

(4) Then did (as mentioned above):
[brett ~]$ sudo rpm -Uvh 
~/rpm/RPMS/i586/java-1.5.0-sun-devel-1.5.0.01-1jpp.i586.rpm
error: Failed dependencies:
        java-1.5.0-sun = 0:1.5.0.01-1jpp is needed by
java-1.5.0-sun-devel-1.5.0.01-1jpp.i586

(5) verified files exist, including java-1.5.0-sun-1.5.0.01-1jpp.i586.rpm:
[brett ~]$ ls ~/rpm/RPMS/i586/
java-1.5.0-sun-1.5.0.01-1jpp.i586.rpm
java-1.5.0-sun-alsa-1.5.0.01-1jpp.i586.rpm
java-1.5.0-sun-demo-1.5.0.01-1jpp.i586.rpm
java-1.5.0-sun-devel-1.5.0.01-1jpp.i586.rpm
java-1.5.0-sun-fonts-1.5.0.01-1jpp.i586.rpm
java-1.5.0-sun-jdbc-1.5.0.01-1jpp.i586.rpm
java-1.5.0-sun-plugin-1.5.0.01-1jpp.i586.rpm
java-1.5.0-sun-src-1.5.0.01-1jpp.i586.rpm


COMMENTS:
=========
I also downloaded the nosrc.rpm to a local directory and looked
for any signs of "david" or "nanaruser" in non-commented part
of file ... found none, then did rpm from the local file, again
same warnings were generated.

I've spent several hours trying to figure a solution, now I hope
a jpackage expert will have some insight.

Thanks,
Brett






More information about the JPackage-discuss mailing list